[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TCommonDialog.AttachTo (platform)

Form which created the dialog class instance.

## Declaration

Source position: dialogs.pp line 115

`protected property TCommonDialog.AttachTo : TCustomForm read FAttachTo write FAttachTo;`

## Description

AttachTo is a platform-specific property which provides the form instance which created the dialog. It is used primarily for the MacOS Cocoa interface to provide the window handle needed for the platform.